<script>
// import Layout from "../../layouts/main";
import Layout from "../../layouts/main.vue";
import PageHeader from "../../components/page-header.vue";
import Integration from './addon-integration/integration.vue';
import PaymentGateway from './addon-integration/payment-gateway.vue';
import config from '../../config';

/** 
 * Tabs & accordions component
 */
export default {
  components: { Layout, PageHeader, Integration, PaymentGateway },
  data() {
    return {
      config: config,
    };
  },
};
</script>

<template>
  <Layout>
    <PageHeader :title="trans.get('__JSON__.Integrations')">
      <template v-slot:icon>
        <i class="bx bx-wrench"></i>
      </template>
    </PageHeader>
    <div class="row">
      <div class="col-lg-12">
        <div class="card">
          <div class="card-body p-0">
            <!-- Tab panel start-->
            <b-tabs justified lazy nav-class="nav-tabs-custom order-tabs" content-class="p-3 text-muted">
              <b-tab active>
                <template v-slot:title>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Integration') }}</span>
                </template>
                <PaymentGateway />
              </b-tab>
              <!-- <b-tab>
                <template v-slot:title>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Integration') }}</span>
                </template>
                <Integration />
              </b-tab> -->
            </b-tabs>
            <!-- Tab panel end -->
          </div>
        </div>
      </div>
    </div>
  </Layout>
</template>